数据配置列表¶
POST 更新自定义数据集合¶
POST /prod-api/waf/wafv3/dataList/modifyCustomDataList
Body 请求参数
{
"data": "1.1.1.1,2.2.2.2",
"dataListClass": "IP_SRC",
"listName": "11",
"message": "",
"dataListId": 63
}
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | ModifyCustomDataListVO | 是 | ModifyCustomDataListVO | - |
返回示例
200 Response
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | - | Inline |
| 201 | Created | - | Inline |
| 401 | Unauthorized | - | Inline |
| 403 | Forbidden | - | Inline |
| 404 | Not Found | - | Inline |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » additionalProperties | object | false | - | - |
数据模型¶
ModifyCustomDataListVO
{
"data": "string",
"dataListClass": "string",
"dataListId": 0,
"listName": "string",
"message": "string"
}
ModifyCustomDataListVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| data | string | true | 最多放入10000个值 | 数据值 | 数据集合的值,多个值用英文逗号分开 |
| dataListClass | string | true | - | 类型 | - |
| dataListId | integer(int64) | false | - | ID | 如果不传入dataListId,则为新增。否则为更新指定ID的数据集合 |
| listName | string | true | 只允许使用小写字母、数字和下划线。创建后无法修改 | 组名称 | - |
| message | string | false | - | 描述 | - |